Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::sfnode Class Reference
[Field Values]

Inheritance diagram for openvrml::sfnode:

[legend]
List of all members.

## Detailed Description

A node field value to hold a single node reference.

Model of
  FieldValue

## Public Types
typedef node_ptr | value_type
| Type of value.
## Public Member Functions
| sfnode (const node_ptr &node=node_ptr(0)) throw ()
| Construct.
virtual | ~sfnode () throw ()
| Destroy.
virtual std::auto_ptr< field_value > | clone () const throw (std::bad_alloc)
| Virtual copy constructor.
virtual field_value & | assign (const field_value &value) throw (std::bad_cast)
| Virtual assignment.
virtual type_id | type () const throw ()
| Get the field_value::type_id associated with this class.
## Public Attributes
node_ptr | value
| A Node reference.
## Private Member Functions
virtual void | print (std::ostream &) const
| Print to an output stream.
## Related Functions
(Note that these are not member functions.)
bool | operator== (const sfnode &lhs, const sfnode &rhs) throw()
| Compare for equality.
bool | operator!= (const sfnode &lhs, const sfnode &rhs) throw()
| Compare for inequality.

## Member Typedef Documentation

openvrml::sfnode::value_type

| Type of value.

## Constructor & Destructor Documentation

openvrml::sfnode::sfnode | ( | const node_ptr & | node = `node_ptr(0)` | ) | throw ()`[explicit]`

  | Construct. Parameters:
  | node | a node_ptr

openvrml::sfnode::~sfnode | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

std::auto_ptr< field_value > openvrml::sfnode::clone | ( |  | ) | const throw (std::bad_alloc)`[virtual]`

  | Virtual copy constructor. Returns: a pointer to a copy of the object. Exceptions:
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::field_value.

field_value & openvrml::sfnode::assign | ( | const field_value & | value | ) | throw (std::bad_cast)`[virtual]`

  | Virtual assignment. Parameters:
  | value | the new value to give the object.
  Returns: a reference to the object. Exceptions:
  | std::bad_cast | if `value` is not an sfnode.
Implements openvrml::field_value.

field_value::type_id openvrml::sfnode::type | ( |  | ) | const throw ()`[virtual]`

| Get the field_value::type_id associated with this class. Returns: `field_value::sfnode`. Implements openvrml::field_value.

void openvrml::sfnode::print | ( | std::ostream & | out | ) | const`[private, virtual]`

  | Print to an output stream. Parameters:
  | out | an output stream.
Implements openvrml::field_value.

## Friends And Related Function Documentation

bool operator== | ( | const sfnode & | lhs,
|  | const sfnode & | rhs
| ) | throw()`[related]`

  | Compare for equality. Parameters:
  | lhs | left-hand operand.
  | rhs | right-hand operand.
Returns: `true` if `lhs` and `rhs` have the same value; `false` otherwise.

bool operator!= | ( | const sfnode & | lhs,
|  | const sfnode & | rhs
| ) | throw()`[related]`

  | Compare for inequality. Parameters:
  | lhs | left-hand operand.
  | rhs | right-hand operand.
Returns: `true` if `lhs` and `rhs` do not have the same value; `false` otherwise.

## Member Data Documentation

openvrml::sfnode::value

| A Node reference.